clear all;
clc;
%==========================================================================
% computes the transition prob matrix and level for idiosyncratic shock
%==========================================================================
M5 =  0.71; % std of idio shocks
M6 =  0.89; % auto-corrleation 0f idio shocks
%==========================================================================
% idiosyncratic transition probability matrix
%==========================================================================
inv_pi =[0.5 0.5];
z = fsolve(@calibration_eta,rand/2,[],inv_pi,M5);
eta = [z 1-z];
%==========================================================================
% the transition matrix
%==========================================================================
x = (M6 +1)/2;
Etrans = [x 1-x; 1-x x];


